// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    dependencies {
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion"
    }
}

plugins {
    id 'androidx.room' version "$roomVersion" apply false
    id 'com.android.application' version '8.10.0' apply false
    id 'com.android.library' version '8.10.0' apply false
    id 'com.google.dagger.hilt.android' version "$hiltVersion" apply false
    id 'com.google.devtools.ksp' version '2.1.21-2.0.1' apply false
    id 'com.google.protobuf' version '0.9.5' apply false
    id 'io.github.goooler.shadow' version '8.1.8' apply false
    id 'org.jetbrains.kotlin.plugin.compose' version "$kotlinVersion" apply false
}

allprojects {
    gradle.projectsEvaluated {
        tasks.withType(JavaCompile) {
            options.compilerArgs << "-Xlint:fallthrough"
            options.compilerArgs << "-Xmaxerrs" << "5"
            options.compilerArgs << "-Xmaxwarns" << "5"
        }
    }
}

